
Redmine - Patch #37248

Update RuboCop Rails to 2.22

2022-06-14 15:21 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.1.0   

Description

Associated revisions

Revision 21633 - 2022-06-14 15:40 - Go MAEDA

Fix RuboCop offense Rails/RootPublicPath (#37248).

Revision 21634 - 2022-06-14 15:41 - Go MAEDA

Update RuboCop Rails to 2.15 (#37248).

Revision 21708 - 2022-07-17 02:00 - Go MAEDA

Disable RuboCop Rails/Delegate (#37248).

Revision 21822 - 2022-09-19 08:36 - Go MAEDA

Disable RuboCop Rails/SquishedSQLHeredocs (#37248).

Revision 21926 - 2022-10-28 01:42 - Go MAEDA

Fix RuboCop offense Rails/FreezeTime (#37248).

Revision 21927 - 2022-10-28 02:47 - Go MAEDA

Fix RuboCop offense Rails/WhereMissing (#37248).

Revision 21928 - 2022-10-28 09:50 - Go MAEDA

Fix RuboCop offense Rails/Pluck (#37248).

Revision 21929 - 2022-10-29 09:34 - Go MAEDA

Regenerate .rubocop_todo.yml (#37248).

Revision 21930 - 2022-10-29 09:42 - Go MAEDA

Remove unnecessary disabling of RuboCop Rails/Pluck (#37248).

Revision 21931 - 2022-10-29 10:06 - Go MAEDA

Update RuboCop Rails to 2.17 (#37248).

Revision 22152 - 2023-03-25 02:32 - Go MAEDA

Fix RuboCop offense Style/InverseMethods: Use `present?` instead of inverting `blank?` (#37248).

Revision 22153 - 2023-03-25 02:51 - Go MAEDA

Fix RuboCop offense Style/InverseMethods: Use `invalid?` instead of inverting `valid?` (#37248).

Revision 22154 - 2023-03-25 03:39 - Go MAEDA

Update RuboCop Rails to 2.18 (#37248).

Revision 22200 - 2023-04-16 13:51 - Go MAEDA

Update RuboCop Rails to 2.19 (#37248).
Revision 22261 - 2023-06-22 04:26 - Go MAEDA

Update RuboCop Rails to 2.20 (#37248).

Revision 22340 - 2023-10-13 01:10 - Go MAEDA

Fix RuboCop offense Rails/RedundantActiveRecordAllMethod (#37248).

Revision 22341 - 2023-10-13 04:06 - Go MAEDA

Update RuboCop Rails to 2.21 (#37248).

Revision 22401 - 2023-10-30 02:17 - Go MAEDA

Update RuboCop Rails to 2.22 (#37248).

Revision 22402 - 2023-10-30 02:19 - Go MAEDA

Merged r22401 from trunk to 5.1-stable (#37248).

History

#1 - 2022-06-14 15:43 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 5.1.0

Updated RuboCop Rails to 2.15 in r21634.

#2 - 2022-10-29 10:06 - Go MAEDA

Updated RuboCop Rails to 2.17 in r21931.

#3 - 2022-10-29 10:12 - Go MAEDA

- Subject changed from  Update RuboCop Rails to 2.15 to  Update RuboCop Rails to 2.17

#4 - 2023-03-25 03:41 - Go MAEDA

- Subject changed from  Update RuboCop Rails to 2.17 to Update RuboCop Rails to 2.18

Updated RuboCop Rails to 2.18 in r22154.

#5 - 2023-04-16 13:51 - Go MAEDA

- Subject changed from Update RuboCop Rails to 2.18 to Update RuboCop Rails to 2.19

Updated RuboCop Rails to 2.19 in r22200.

#6 - 2023-06-22 04:26 - Go MAEDA

- Subject changed from Update RuboCop Rails to 2.19 to Update RuboCop Rails to 2.20

Updated RuboCop Rails to 2.20 in r22261.

#7 - 2023-10-13 04:07 - Go MAEDA

- Subject changed from Update RuboCop Rails to 2.20 to Update RuboCop Rails to 2.21

Updated RuboCop Rails to 2.21 in r22341.

#8 - 2023-10-30 02:17 - Go MAEDA

- Subject changed from Update RuboCop Rails to 2.21 to Update RuboCop Rails to 2.22

Updated RuboCop Rails to 2.22 in r22401.
